Bug 21963 - Switch two-column templates to Bootstrap grid: Patrons part 1
Summary: Switch two-column templates to Bootstrap grid: Patrons part 1
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-12-06 14:05 UTC by Owen Leonard
Modified: 2019-01-14 14:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1 (13.11 KB, patch)
2018-12-06 14:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1 (13.17 KB, patch)
2018-12-17 14:12 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1 (13.28 KB, patch)
2018-12-17 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-06 14:05:13 UTC
These two-column patron templates can be updated to use the Bootstrap grid.

 - members/boraccount.tt
 - members/deletemem.tt
 - members/discharge.tt
 - members/files.tt
 - members/holdshistory.tt
 - members/housebound.tt
 - members/mancredit.tt
Comment 1 Owen Leonard 2018-12-06 14:37:08 UTC
Created attachment 82910 [details] [review]
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1

This patch modifies several patron templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Patrons -> View patron
   - Fines
     - Account
     - Create manual credit
   - Delete
     - Try to delete a patron with checkouts
   - Discharges
   - Housebound
   - Files
   - Holds history
Comment 2 Claire Gravely 2018-12-17 14:12:53 UTC
Created attachment 83284 [details] [review]
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1

This patch modifies several patron templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Patrons -> View patron
   - Fines
     - Account
     - Create manual credit
   - Delete
     - Try to delete a patron with checkouts
   - Discharges
   - Housebound
   - Files
   - Holds history

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-12-17 21:11:32 UTC
Created attachment 83315 [details] [review]
Bug 21963: Update two-column templates with Bootstrap grid: Patrons part 1

This patch modifies several patron templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Patrons -> View patron
   - Fines
     - Account
     - Create manual credit
   - Delete
     - Try to delete a patron with checkouts
   - Discharges
   - Housebound
   - Files
   - Holds history

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-01-14 14:05:12 UTC
Enhancement, will not be backported to 18.11.x series